\chapter{Best of Mathematics or Top Hits since $\approx$3000 BC}
\label{ch:Best of Mathematics}
It's hard to believe, but trust me.

\section{Euler's identity}
\label{sec:Euler's identity}
Considered one of the most beautiful formulas in all mathematical history
$$e^{i\pi}+1=0$$
\begin{proof}
$$
\begin{aligned}
e^{ix} &= 1 + ix + \frac{(ix)^2}{2!} + \frac{(ix)^3}{3!} + \frac{(ix)^4}{4!} + \ldots\\
&=1 - \frac{x^2}{2!} + \frac{x^4}{4!} - \frac{x^6}{6!} + \ldots + ix - \frac{ix^3}{3!} + \frac{ix^5}{5!} - \frac{ix^7}{7!} + \ldots\\
&=\cos(x) + i\left(x - \frac{x^3}{3!} + \frac{x^5}{5!} - \frac{x^7}{7!} + \ldots\right)\\
&=\cos(x) + i \cdot \sin(x)
\end{aligned}
$$
so
$$e^{i\pi} = \cos(\pi) + \sin(\pi) = -1 + 0 = -1$$
\end{proof}

\section{Cauchy integral formula}
\label{sec:Cauchy integral formula}
A holomorphic function defined on a disk is completely determined by its values on the boundary of the disk.
$$\boxed{\frac{d^n}{dz^n} f(z) = \frac{n!}{2\pi i}\oint\limits_C \frac{f(w)}{(w-z)^{n+1}} dw}$$

\section{Gauss' identity}
\label{sec:Gauss' identity}
Statistically used in all forms by statisticians.

$$\boxed{\int\limits_{-\infty}^{+\infty} e^{-x^2} = \sqrt{\pi}}$$

\section{Primes' productivity}
\label{sec:Primes' productivity}
Sum and products of primes.

$$\boxed{\sum\limits_{n=1}^\infty n^{-s} = \prod\limits_{\text{p prime}} (1-p^{-s})^{-1}}$$

\section{Flip-flop identity}
\label{sec:Flip-flop identity}
Not more useful than a pair of flip-flop during winter in Alaska, but as surprising as a pait of flip-flop during winter in Alaska.
$$\boxed{\sum\limits_{k=0}^{n} \frac{k}{2^k} = 2 - \frac{n+2}{2^n}}$$

\section{Arithmetic VS geometric mean}
\label{sec:Arithmetic VS geometric mean}
How would you prove this fact? Note: title can be a very useful hint.
$$n! \le \left( \frac{n+1}{2} \right) ^n, \forall n \in \mathbb{N}$$
\begin{proof}
By the \hyperref[sec:A note on notations (cit.)]{\textbf{AM-GM}} \cite{Inequality_Of_Arithmetic_And_Geometric_Means_Wikipedia} we have
$$
\begin{aligned}
&\sqrt[n]{n!} = \sqrt[n]{1 \cdot 2 \cdot 3 \cdot 4 \ldots \cdot n} \le \frac{1+2+3+4+ \ldots + n}{n}\implies\\
&\sqrt[n]{n!} \le \frac{n(n+1)}{2} \cdot \frac{1}{n} = \left( \frac{n+1}{2} \right)\implies\\
&n! \le \left( \frac{n+1}{2} \right) ^n
\end{aligned}
$$
\end{proof}

\section{Ramanujan's 5s}
\label{sec:Ramanujan's 5s}
A man born in India, called Srinivasa Ramanujan \cite{Srinivasa_Ramanujan_Wikipedia} used to evoke the \textit{Mathematics} god who kindly showed him the way to discover marvellous equations during sleep. Here is an example:
$$\boxed{\sqrt{5 + \sqrt{5 + \sqrt{5 - \sqrt{5} + \ldots}}} = \frac{2 + \sqrt{5} + \sqrt{15 - 6\sqrt{5}}}{2}}$$
where the signs of the 5s follow the pattern
$$\underbrace{++}_{\text{2 times}}-\underbrace{+++}_{\text{3 times}}-\underbrace{++++}_{\text{4 times}}-\underbrace{+++++}_{\text{5 times}}- \ldots$$
Noted in \textbf{Notebooks IV} pp 42-43.

\section{How to factor a 4th power}
\label{sec:How to factor a 4th power}
Known as $Sophie-German$ identity, simple and very useful express a way to factor a 4th power
$$n^4+4 = (n^2+2n+2)\cdot (n^2-2n+2)$$
$$\forall n \in \mathbb{N}$$

\section{Combinatorial bullets}
\label{sec:Combinatorial bullets}
Get prepared for 5 identities valid $\forall n \in \mathbb{N}^+$
$$
\begin{aligned}
&\frac{1}{i\cdot (i+1)} = \frac{n}{n+1}\\
&\boxed{\sum\limits_{i=1}^{n} \frac{1}{i^2} \le 2 - \frac{1}{n}}\\
&\boxed{\sum\limits_{i=1}^{n} \binom{n}{i} = 2^n}\\
&\boxed{\sum\limits_{i=1}^{n} \binom{n}{i} ^ 2 = \binom{2n}{n}}\\
&\boxed{\frac{4^n}{n+1} \le \binom{2n}{n}}\\
\end{aligned}
$$

\section{Napier's inequality}
\label{sec:Napier's inequality}
$$\forall a,b \in \mathbb{R} | 0 < a < b$$
$$\frac{1}{b} < \frac{\ln(b) - \ln(a)}{b-a} < \frac{1}{a}$$
\begin{proof}
It is a simple application of \cite{Mean_Value_Theorem_Wikipedia} $\forall x \in \mathbb{R}^+$ and $\ln(x)$ is continuous in $\mathbb{R}^+$,
$$\exists \lambda \in ]a,b[ | \ln'(\lambda) = \frac{1}{\lambda} = \frac{\ln(a)-\ln(b)}{a-b}$$
but since $\lambda \in ]a,b[$
$$\frac{1}{b} < \frac{1}{\lambda} = \frac{\ln(a)-\ln(b)}{a-b} < \frac{1}{a}$$
\end{proof}

\section{Cassini's identity}
\label{sec:Cassini's identity}
Known as the \textit{Cassini's identity}, it is a well known feature of \cite{Fibonacci_Number_Wikipedia}. Let $\mathcal{F}_{n}$ the n-th Fibonacci number, then
$$\mathcal{F}_{n-1} \cdot \mathcal{F}_{n+1} = \mathcal{F}_{n} ^2 + (-1)^n$$
which enables us to prove that
$$\sum\limits_{k=1}^{2n-1} \mathcal{F}_{k} = \mathcal{F}_{2n}, \forall n \in \mathbb{N}^+$$

\section{Sum of powers}
\label{sec:Sum of powers}
Very easy and trivial, but astonishing when seen for the first time is the following identity valid $\forall a \in \mathbb{R} \backslash {1}$
$$\sum\limits_{k=1}^n k\cdot a^{k-1} = 1+2a+3a^2+4a^3 + \ldots + n\cdot a^{n-1} = \frac{a^{n+1} - (n+1) \cdot a^n + 1}{(a-1)^2}$$

\section{Hard inequality}
\label{sec:Hard inequality}
Let $\mathcal{A}:\{\mathcal{A}_1, \mathcal{A}_2, \mathcal{A}_3 \ldots \ldots \mathcal{A}_n \}, \forall n \in \mathbb{N} ^+ | n \ge 3$ ($\mathcal{A}$ is a set of positive numbers), then
$$\frac{\mathcal{A}_1}{\mathcal{A}_2 + \mathcal{A}_3} + \frac{\mathcal{A}_2}{\mathcal{A}_3 + \mathcal{A}_4} + \frac{\mathcal{A}_3}{\mathcal{A}_4 + \mathcal{A}_5} + \ldots + \frac{\mathcal{A}_n}{\mathcal{A}_1 + \mathcal{A}_2} \ge n\cdot (\sqrt{2} - 1)$$

\section{Goldbach's theorem}
\label{sec:Goldbach's theorem}
Not to be confused with the still-open-problem Golbach Conjecture, this elegant theorem states that
$$\sum \frac{1}{\mathcal{P} - 1} = 1$$
$$\mathcal{P} \text{ is a perfect power} = m^n, \forall m,n \in \mathbb{N} | m,n \ge 2$$

\section{Cesaro's theorem}
\label{sec:Cesaro's theorem}
Proved in 1881 by Cesaro it states that
$$\text{Given two random integers } u,v, \text{ the probability that } GCD(u,v) = 1 \text{ is } \frac{6}{\pi ^2}$$
\begin{proof}
Let $\mathcal{P}_{event}$ be the probability that $event$ occurs, then $\forall d \in \mathbb{Z}_0$
$$\mathcal{P}_{GCD(u,v) = d} = \mathcal{P}_{
\begin{cases}
GCD \left( \frac{u}{d},\frac{v}{d} \right) = 1\\
d | u\\
d | v
\end{cases}}$$
But since $\mathcal{P}_{d | x} = \frac{\frac{x}{d}}{x} = \frac{1}{d}$,
$$\mathcal{P}_{
\begin{cases}
GCD \left( \frac{u}{d},\frac{v}{d} \right) = 1\\
d | u\\
d | v
\end{cases}} = p\cdot \frac{1}{d}\cdot \frac{1}{d}$$
where $p = \mathcal{P}_{GCD \left( \frac{u}{d},\frac{v}{d} \right) = 1}$
and thus $$\mathcal{P}_{
\begin{cases}
GCD \left( \frac{u}{d},\frac{v}{d} \right) = 1\\
d | u\\
d | v
\end{cases}} = p\cdot \frac{1}{d}\cdot \frac{1}{d} = \frac{p}{d^2}$$
So, and here is the magic, when we sum all these probabilities, namely $d = 1, d = 2, d = 3 \ldots$ we are summing the probabilities that given two random integers $u,v, GCD(u,v) = 1, GCD(u,v) = 2, GCD(u,v) = 3 \ldots$ and so the result \textit{must} be 1.
$$
\begin{aligned}
1&= \sum\limits_{d=1} ^ {+\infty} \mathcal{P}_{GCD(u,v) = d} = \sum\limits_{d=1} ^ {+\infty} \frac{p}{d^2} = \hyperref[sec:Riemann series]{\zeta} (2) \cdot p\\
&= \frac{\pi^2}{6} \cdot p = 1 \implies \boxed{p = \frac{6}{\pi^2}}
\end{aligned}
$$
\end{proof}

Further reasoning show that $\forall u,v \in \mathbb{Z} \backslash {0}, | 2 \nmid u,v$
$$\mathcal{P}_{GCD(u,v) = 1} = \frac{8}{\pi^2}$$
Moreover $\forall n \in \mathbb{N}_0$
$$\mathcal{P}_{GCD(u,v) \le n} = \frac{6}{\pi^2} \cdot \sum\limits_{k=1} ^n \frac{1}{k^2}$$
Finally
$$\hyperref[sec:A note on notations (cit.)]{\overline{GCD(u,v)}} = \frac{6}{\pi^2} \cdot \lim_{n \to +\infty}\sum\limits_{k=1} ^n \frac{1}{k} =\frac{6}{\pi^2} \cdot \hyperref[sec:Harmonic table]{\mathcal{H}_{+\infty}} = +\infty$$
So much for $GCD$, now the reader should head up to divisors \ldots what's the average number shared by two random integers $u,v$?
$$=(\mathcal{P}_{GCD(u,v) = k}) \cdot (\text{Sum of all divisors of } k)$$
$$=\frac{6}{\pi ^2 k^2} \cdot \sum\limits_{k \ge 1} \hyperref[sec:A note on notations (cit.)]{\sigma(k)} =\frac{6}{\pi ^2} \cdot \sum\limits_{k \ge 1} \frac{\sigma(k)}{k^2} =\frac{6}{\pi^2} \cdot \left( \sum\limits_{k \ge 1} \frac{1}{k^2} \right) ^2 =\frac{6}{\pi^2} \cdot \left( \frac{\pi^2}{6} \right) ^2 = \boxed{\frac{\pi^2}{6} \approx 1.64}$$

\section{Hamilton formula}
\label{sec:Hamilton formula}
\textbf{Remainder:} things to do before dying.\\
Engrave with a knife \cite{William_Rowan_Hamilton_Wikipedia}:
$$i^2 = j^2 = k^2 = ijk = -1, \quad \forall i,j,k \in \mathbb{C}$$
that is the definitions of \cite{Quaternion_Wikipedia} on the main rock on \cite{Brougham_Cumbria_Wikipedia} bridge.

\section{Sophomore dreams}
\label{sec:Sophomore dreams}
In the U.S.A the students who attend the second year at University are called \textit{Sophomores}.\\
The word has a greek origin
$$
\begin{aligned}
&\sigma o \varphi i \sigma \mu \alpha = \text{sophisma} \approx \text{experienced}\\
&+\\
&\sigma o \varphi o \xi = \text{wise}\\
&+\\
&\mu w \rho o \xi \approx \text{foolish}\\
\end{aligned}
$$
The Sophomore dream has a similar too-good-to-be-true feeling, but in fact is true!
$$
\begin{aligned}
& \int \limits_{0} ^ n \frac{1}{x^x} \diff x = \sum \limits_{i=1} ^{+\infty} \frac{1}{i^i} = 1 + \frac{1}{2^2} + \frac{1}{3^3} + \frac{1}{4^4} + \ldots\\
& \int \limits_{0} ^ n x^x \diff x = \sum \limits_{i=1} ^{+\infty} (-1) ^{i+1} \frac{1}{i^i} = 1 - \frac{1}{2^2} + \frac{1}{3^3} - \frac{1}{4^4} + \ldots\\
\end{aligned}
$$
both discovered by \cite{Jacob_Bernoulli_Wikipedia}.

\section{Audioactive sequences}
\label{sec:Audioactive sequences}
I have no doubt words are necessary to language, but are they necessary to mathematics too? For example, there are sequences of numbers that represents what you're saying
$$1,11,21,1211,111221 \ldots$$
Have you noticed the pattern? Read it aloud!\\
It's so interesting that no number $\ge 4$ is willing to appear in this sequence; neither a number with three consecutive 3s. Moreover the length of th $n-$ term is proportional to \cite{John_Horton_Conway_Wikipedia} constant for every sequence starting with anything than $22$.\\
Roger Hargrave took into account \textit{all} the occurrences of each character \ldots
$$123, 111213, 411213, 14311213 \ldots$$
which are said to oscillate between $23322114$ and $32232114$.\\
Want to know more by Conway himself? Watch \cite{Look_And_Say_Numbers_Youtube}!

\section{How to turn a sphere inside out}
\label{sec:How to turn a sphere inside out}
Thanks to \hyperref[ch:Computer Science]{Computer Science} in 1977 the first movie about the ways to turn a sphere inside out has been released. Basically mathematicians brains weren't much efficient to figure it out, but when in the 90s computer scientists entered the game, everything changed! They tried the same method on a torus: see \cite{Torus_Wikipedia} \moreinfo!

\begin{figure}[ht!]
\centering
\includegraphics[width=90mm]{ch/best-of/img/torus_inversion.jpg}
\caption{Instruction on how to perform a torus inversion}
\end{figure}

\section{Herschel's mysterious doodle}
\label{sec:Herschel's mysterious doodle}
\cite{John_Herschel_Wikipedia} sent a letter to \cite{Charles_Babbage_Wikipedia}, where he had drawn a mysterious doodle. He also wrote "\textit{Interpret this hieroglyphic, it contains a great discovery}."\\
Just silliness between two friends, or something more?

\begin{figure}[ht!]
\centering
\includegraphics[width=90mm]{ch/best-of/img/herschel_doodle.jpg}
\caption{Herschel mysterious drawing in the letter to Babbage}
\end{figure}

Discover what Herschel mean and help others figure it out by visiting \cite{Herschel_Mysterious_Doodle_Brady_Haran}.

\section{The Mathematical Way to Cut a Cake}
\label{sec:The Mathematical Way to Cut a Cake}
Suppose it's you birthday, you cut the cake, but it is so big and the people at your party are so few, that you will obviously leave some of the cake for the next day: \textbf{what is the optimal way to cut it in order to preserve its freshness?}\\
Don't you worry: the mathematician Francis Galton has already \cite{Galton_Paper}: cut the middle slice until you run out of cake.\\
Moreover Galton offends the \texttt{ordinary} method as it is \texttt{very faulty in this respect}.

\section{Better than Euler}
\label{sec:better-than-euler}
According to \cite{i_to_i_Youtube} \hyperref[sec:Euler's identity]{Euler's identity} is amazing, but we can do better.\\
First of all the identity is a particular case of the more general formula for complex numbers
$$e^{i\theta} = \cos \theta + i \sin \theta$$
Now it can all begin. We want to prove $i^i$ is more awesome than $e^{i\pi}$.
\begin{proof}
$$
\begin{aligned}
e^{i\frac{\pi}{2}} &= \cos \left( \frac{pi}{2} \right) + i \sin \left( \frac{pi}{2} \right)\\
&= 0 + i \cdot 1\\
&= i
\end{aligned}
$$
so we can re-write our equation
$$
\begin{aligned}
i^i &= e ^ {\ln i ^ i}\\
&= e ^ {i\ln i}\\
&= e ^ {i \cdot i \frac{\pi}{2}}\\
&= e ^ {-1 \cdot \frac{\pi}{2}}\\
&= e ^ {-\frac{\pi}{2}}\\
&\approx 2.71818\ldots ^ {-\frac{3.141592\ldots}{2}}\\
&\approx 0.20787\\
\end{aligned}
$$
\end{proof}
 